##### basic_datagram_socket::basic_datagram_socket (1 of 6 overloads)

Construct a `basic_datagram_socket` without opening it.

    basic_datagram_socket(
        asio::io_service & io_service);

This constructor creates a datagram socket without opening it. The `open()` function must be called before data can be sent or received on the socket.

###### Parameters

io_service

  The `io_service` object that the datagram socket will use to dispatch handlers for any asynchronous operations performed on the socket.